      .lf-progress {
        -webkit-appearance: none;
        -moz-apperance: none;
        width: 100%;
        /* margin: 0 10px; */
        height: 4px;
        border-radius: 3px;
        cursor: pointer;
      }
      .lf-progress:focus {
        outline: none;
        border: none;
      }
      .lf-progress::-moz-range-track {
        cursor: pointer;
        background: none;
        border: none;
        outline: none;
      }
      .lf-progress::-webkit-slider-thumb {
        -webkit-appearance: none !important;
        height: 13px;
        width: 13px;
        border: 0;
        border-radius: 50%;
        background: #0fccce;
        cursor: pointer;
      }
      .lf-progress::-moz-range-thumb {
        -moz-appearance: none !important;
        height: 13px;
        width: 13px;
        border: 0;
        border-radius: 50%;
        background: #0fccce;
        cursor: pointer;
      }
      .lf-progress::-ms-track {
        width: 100%;
        height: 3px;
        cursor: pointer;
        background: transparent;
        border-color: transparent;
        color: transparent;
      }
      .lf-progress::-ms-fill-lower {
        background: #ccc;
        border-radius: 3px;
      }
      .lf-progress::-ms-fill-upper {
        background: #ccc;
        border-radius: 3px;
      }
      .lf-progress::-ms-thumb {
        border: 0;
        height: 15px;
        width: 15px;
        border-radius: 50%;
        background: #0fccce;
        cursor: pointer;
      }
      .lf-progress:focus::-ms-fill-lower {
        background: #ccc;
      }
      .lf-progress:focus::-ms-fill-upper {
        background: #ccc;
      }
      .lf-player-container :focus {
        outline: 0;
      }
      .lf-popover {
        position: relative;
      }

      .lf-popover-content {
        display: inline-block;
        position: absolute;
        opacity: 1;
        visibility: visible;
        transform: translate(0, -10px);
        box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
        transition: all 0.3s cubic-bezier(0.75, -0.02, 0.2, 0.97);
      }

      .lf-popover-content.hidden {
        opacity: 0;
        visibility: hidden;
        transform: translate(0, 0px);
      }

      .lf-player-btn-container {
        display: flex;
        align-items: center;
      }
      .lf-player-btn {
        cursor: pointer;
        fill: #999;
        width: 14px;
      }

      .lf-player-btn.active {
        fill: #555;
      }

      .lf-popover {
        position: relative;
      }

      .lf-popover-content {
        display: inline-block;
        position: absolute;
        background-color: #ffffff;
        opacity: 1;

        transform: translate(0, -10px);
        box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
        transition: all 0.3s cubic-bezier(0.75, -0.02, 0.2, 0.97);
        padding: 10px;
      }

      .lf-popover-content.hidden {
        opacity: 0;
        visibility: hidden;
        transform: translate(0, 0px);
      }

      .lf-arrow {
        position: absolute;
        z-index: -1;
        content: "";
        bottom: -9px;
        border-style: solid;
        border-width: 10px 10px 0px 10px;
      }

      .lf-left-align,
      .lf-left-align .lfarrow {
        left: 0;
        right: unset;
      }

      .lf-right-align,
      .lf-right-align .lf-arrow {
        right: 0;
        left: unset;
      }

      .lf-text-input {
        border: 1px #ccc solid;
        border-radius: 5px;
        padding: 3px;
        width: 60px;
        margin: 0;
      }

      .lf-color-picker {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        height: 90px;
      }

      .lf-color-selectors {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
      }

      .lf-color-component {
        display: flex;
        flex-direction: row;
        font-size: 12px;
        align-items: center;
        justify-content: center;
      }

      .lf-color-component strong {
        width: 40px;
      }

      .lf-color-component input[type="range"] {
        margin: 0 0 0 10px;
      }

      .lf-color-component input[type="number"] {
        width: 50px;
        margin: 0 0 0 10px;
      }

      .lf-color-preview {
        font-size: 12px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        padding-left: 5px;
      }

      .lf-preview {
        height: 60px;
        width: 60px;
      }

      .lf-popover-snapshot {
        width: 150px;
      }
      .lf-popover-snapshot h5 {
        margin: 5px 0 10px 0;
        font-size: 0.75rem;
      }
      .lf-popover-snapshot a {
        display: block;
        text-decoration: none;
      }
      .lf-popover-snapshot a:before {
        content: "⥼";
        margin-right: 5px;
      }
      .lf-popover-snapshot .lf-note {
        display: block;
        margin-top: 10px;
        color: #999;
      }
      .lf-player-controls > div {
        margin-right: 5px;
        margin-left: 5px;
      }
      .lf-player-controls > div:first-child {
        margin-left: 0px;
      }
      .lf-player-controls > div:last-child {
        margin-right: 0px;
      }